/* Hero Section Begins*/
.fade {
  animation-name: fade;
  animation-duration: 2.5s;
}

@keyframes fade {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.hero {
  background-image: url("/images/featured-image.webp");
  min-height: 50vh;
  background-size: cover;
  background-repeat: no-repeat;
  box-shadow: 0 5000px 0 0 var(--slideshow) inset;
  color: var(--white);
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.3;
  padding: 10px 25px;
}

.hero h1 {
  color: inherit;
  padding: 10px 0;
  font-size: 1.8rem;
}

.hero p {
  font-size: 1rem;
  padding: 5px 0;
}

.hero a {
  display: inline-block;
  text-decoration: none;
  color: var(--black);
  background-color: var(--gold);
  padding: 20px 40px;
  border-radius: 5px;
  margin: 10px 0;
  text-transform: uppercase;
  font-weight: bold;
}

.hero a:hover {
  background-color: var(--purple);
  color: var(--white);
}

/* =================================
Did you know? section
================================== */
.question {
  background-color: var(--purple);
  color: var(--white);
  text-align: center;
  padding: 1em 1em;
}

.question h2 {
  color: inherit;
  font-size: 1.3rem;
}

.question p {
  font-weight: 400;
  padding: 5px;
  font-size: 1rem;
}

/* ===================================
  7 Reasons why you should write a book
  ===================================== */
.reason-heading {
  display: grid;
  grid-template-columns: 150px 1fr;
  text-transform: capitalize;
  text-align: left;
  padding: 0px 10px;
  margin: 1rem auto;
  background-color: var(--gold);
  border-radius: 10px;
}
div.reason-heading h3 {
  font-size: 1.3rem;
  text-align: left;
  font-weight: bold;
  display: flex;
  align-self: center;
}

.reasons-section {
  text-align: center;
  line-height: 1.2;
  position: relative;
}

.seven {
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 120px;
  height: 120px;
  background-color: var(--purple);
  color: var(--gold);
  border-radius: 50%;
  font-weight: 900;
  font-size: 5rem;
  font-family: "PT Serif", serif;
  border: 10px solid var(--gray);
  box-shadow: 0 0 20px var(--dropshadow) inset;
}
.reasons {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  row-gap: 1rem;
  column-gap: 1rem;
}

.reason-item {
  padding: 50px 40px;
  background-color: var(--white);
  border-radius: 10px;
  position: relative;
  width: 100%;
}

.reason-item:hover {
  box-shadow: 0 0 15px #00000011;
}

.reason-item i {
  font-size: 4rem;
  padding-bottom: 10px;
  color: var(--gold);
  display: block;
}

div.reasons .reason-item h3 {
  color: var(--purple);
  font-size: 1.3rem;
  font-weight: bold;
}

section.reasons-section p.heading-desc {
  font-size: 1.2rem;
  font-weight: 400;
}

div.number {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 20rem;
  font-weight: 900;
  opacity: 0.05;
  font-family: "PT Serif", serif;
  color: var(--darkgray);
}

/* ==================================
Did you know section Ends
===================================== */

/* -----------------------------
Service Section  Starts
-----------------------------------*/

.services-wrapper {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  justify-content: center;
}

.services-wrapper h3 {
  color: var(--white);
  font-weight: 700;
}

.service-card {
  min-height: 300px;
  width: 100%;
  margin: 0 0.3rem;
  margin-top: 0.5em;
  border-radius: 5px;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  color: var(--white);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1em;
  position: relative;
  cursor: pointer;
}

.service-card h2 {
  text-align: right;
  font-size: 1.5rem;
}

.vertical-seperator {
  border-left: 4px solid var(--gold);
  display: inline-block;
  height: 30%;
  margin: 0 1rem;
}

.service-description {
  max-width: 60%;
  line-height: 1.1;
}

.learn-more {
  position: absolute;
  bottom: 8%;
  text-decoration: none;
  border: 2px solid var(--white);
  border-radius: 5px;
}

.learn-more:hover {
  color: var(--gold);
  border-color: var(--gold);
}

.learn-more a,
.service-card a {
  display: inline-block;
  text-decoration: none;
  color: inherit;
  padding: 10px 20px;
}

/* .learn-more .fa-solid {
  padding-left: 10px;
  font-size: 1rem;
} */

/* =========================================
Sevice styles end 
===============================================*/

/* ================================
Inbetween Choose Us and contact Start
--------------------------------------*/
#inbetween {
  min-height: 400px;
  background-image: url("/images/photos/book-shelf-in-a-library.webp");
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  box-shadow: 0 3000px var(--slideshow) inset;
  display: flex;
  justify-content: center;
  align-items: center;
}

.inbetween img {
  width: 100%;
}

#inbetween h2 {
  font-size: 2rem;
}

#inbetween h2,
#inbetween p {
  color: var(--white);
}

/* ================================
Inbetween Choose Us and contact End
--------------------------------------*/

/*Contact Section Styles*/

form {
  .form-wrapper h3 {
    color: var(--purple);
    padding-bottom: 1rem;
  }

}

/* ===========================================
Media queries
===============================================*/

@media only screen and (min-width: 655px) {
  .hero {
    min-height: 90vh;
  }

  .hero h1 {
    margin-bottom: -10px;
    font-size: 2.5rem;
    text-transform: capitalize;
  }
  .hero p {
    font-size: 1.4rem;
    padding-bottom: 20px;
    font-weight: bold;
  }

  .hero a {
    padding: 20px 40px;
    margin: 10px 0;
    font-size: 1.3rem;
  }
  /* Did you know? */
  .question h2 {
    font-size: 2rem;
  }

  .question p {
    font-weight: 400;
    padding: 5px;
    font-size: 1.3rem;
  }

  /* ===================================
  7 Reasons why you should write a book
  ====================================== */
  .reasons-section p {
    padding-top: 5px;
  }

  div.reason-heading h3 {
    font-size: 1.8rem;
    text-align: center;
  }

  /* ====================================
  Service Card Responsive style rules 
  =========================================*/
  .services-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 0.5em;
    text-align: center;
  }

  .service-card {
    flex-direction: column;
  }

  .service-card p {
    display: none;
  }

  .service-card h2 {
    text-align: center;
  }

  .vertical-seperator {
    display: none;
  }

  /* Card is hovered on desktop */
  .service-card:hover {
    background-color: var(--darkergray);
    /* background-image: none; */
    box-shadow: 0 3000px 15px 0 rgba(26, 26, 26, 0.908) inset;
  }

  /* Inbetween Section for Deskop Screens */
  #inbetween h2 {
    font-size: 3rem;
  }
}
